> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tembo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an artifact

> Retrieve a typed organization artifact by ID.



## OpenAPI

````yaml https://api.tembo.io/public-api/openapi/public get /v1/artifacts/{artifactId}
openapi: 3.1.0
info:
  title: Tembo Public API
  description: Public API Endpoints for Tembo
  version: 1.0.0
servers:
  - url: https://api.tembo.io
    description: Tembo API
  - url: https://{deployment-origin}/api/public-api
    description: Self-hosted Tembo
    variables:
      deployment-origin:
        default: tembo.example.com
        description: Hostname of your self-hosted Tembo deployment
security: []
paths:
  /v1/artifacts/{artifactId}:
    get:
      tags:
        - Artifacts
      summary: Retrieve an artifact
      description: Retrieve a typed organization artifact by ID.
      operationId: retrieveArtifact
      parameters:
        - in: path
          name: artifactId
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          description: Retrieve an artifact
          content:
            application/json:
              schema:
                type: object
                properties:
                  createdAt:
                    type: string
                    format: date-time
                  id:
                    type: string
                    format: uuid
                  sessionId:
                    type: string
                    format: uuid
                  type:
                    type: string
                    enum:
                      - PullRequest
                      - ToolCall
                      - Plan
                      - Response
                      - File
                      - Service
                      - Source
                    default: PullRequest
                  updatedAt:
                    type: string
                    format: date-time
                  assetId:
                    type:
                      - string
                      - 'null'
                    format: uuid
                  assetUrl:
                    type:
                      - string
                      - 'null'
                    format: uri
                  category:
                    type:
                      - string
                      - 'null'
                    enum:
                      - code_walkthrough
                      - bug_report
                      - incident_report
                      - license_audit
                      - data_flow_map
                      - security_findings
                      - cost_map
                      - ux_variations
                      - architecture_map
                      - migration_summary
                      - release_checklist
                      - shipped_summary
                      - rollout_plan
                      - diagram
                      - chart
                      - dashboard
                      - timeline
                      - comparison
                      - report
                      - null
                  content:
                    type: string
                  contentType:
                    type:
                      - string
                      - 'null'
                  description:
                    type:
                      - string
                      - 'null'
                  fileKind:
                    type: string
                    enum:
                      - image
                      - video
                      - audio
                      - html
                      - markdown
                      - text
                      - file
                  fileName:
                    type:
                      - string
                      - 'null'
                  outputType:
                    type:
                      - string
                      - 'null'
                    enum:
                      - html
                      - markdown
                      - json
                      - csv
                      - asset
                      - null
                  relatedPullRequestUrls:
                    type: array
                    items:
                      type: string
                      format: uri
                  runtime:
                    type:
                      - object
                      - 'null'
                    properties:
                      hostname:
                        type:
                          - string
                          - 'null'
                      serviceName:
                        type:
                          - string
                          - 'null'
                      serviceType:
                        type:
                          - string
                          - 'null'
                    required:
                      - hostname
                      - serviceName
                      - serviceType
                    additionalProperties: false
                  servicePort:
                    type:
                      - integer
                      - 'null'
                    minimum: 1
                    maximum: 65535
                  serviceUrl:
                    type:
                      - string
                      - 'null'
                    format: uri
                  sizeBytes:
                    type:
                      - integer
                      - 'null'
                    minimum: 0
                  sourceUrl:
                    type:
                      - string
                      - 'null'
                    format: uri
                  title:
                    type: string
                required:
                  - createdAt
                  - id
                  - sessionId
                  - type
                  - updatedAt
                  - assetId
                  - assetUrl
                  - category
                  - content
                  - contentType
                  - description
                  - fileKind
                  - fileName
                  - outputType
                  - relatedPullRequestUrls
                  - runtime
                  - servicePort
                  - serviceUrl
                  - sizeBytes
                  - sourceUrl
                  - title
                additionalProperties: false
        '400':
          description: Validation error or missing resource scope
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '404':
          description: Artifact, session, or backing asset not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
        '500':
          description: Artifact operation failed
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                additionalProperties: false
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer

````